Package org.eclipse.mat.parser.model

# Class XSnapshotInfo

java.lang.Object
org.eclipse.mat.snapshot.SnapshotInfo
org.eclipse.mat.parser.model.XSnapshotInfo

All Implemented Interfaces:
  `Serializable`

public final class XSnapshotInfo extends SnapshotInfo
Basic information about the snapshot which can be updated as data is read from the dump.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`XSnapshotInfo()`
Simple constructor, with real data added later using setters.

## Method Summary

Modifier and Type
Method
Description
`void`
`setCreationDate(Date creationDate)`
Sets the creation date of the snapshot
`void`
`setIdentifierSize(int identifierSize)`
Sets the identifier size for the snapshot.
`void`
`setJvmInfo(String jvmInfo)`
Sets information about the JVM.
`void`
`setNumberOfClasses(int numberOfClasses)`
Sets the total number of classes.
`void`
`setNumberOfClassLoaders(int numberOfClassLoaders)`
Sets the total number of class loaders.
`void`
`setNumberOfGCRoots(int numberOfGCRoots)`
Sets the number of GC roots.
`void`
`setNumberOfObjects(int numberOfObjects)`
Sets the number of objects.
`void`
`setPath(String path)`
Sets the path to the snapshot file.
`void`
`setPrefix(String prefix)`
Set the prefix used for index files.
`void`
`setUsedHeapSize(long usedHeapSize)`
Sets the total used heap size.

### Methods inherited from class org.eclipse.mat.snapshot.SnapshotInfo

`getCreationDate, getIdentifierSize, getJvmInfo, getNumberOfClasses, getNumberOfClassLoaders, getNumberOfGCRoots, getNumberOfObjects, getPath, getPrefix, getProperty, getUsedHeapSize, setProperty, toString`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### XSnapshotInfo

public XSnapshotInfo()
Simple constructor, with real data added later using setters.

## Method Details

### setPrefix

public void setPrefix(String prefix)
Set the prefix used for index files.

Parameters:
  `prefix` - the path prefix
See Also:
  - `SnapshotInfo.getPrefix()`

### setPath

public void setPath(String path)
Sets the path to the snapshot file.

Parameters:
  `path` - the file path
See Also:
  - `SnapshotInfo.getPath()`

### setCreationDate

public void setCreationDate(Date creationDate)
Sets the creation date of the snapshot

Parameters:
  `creationDate` - the date of creation
See Also:
  - `SnapshotInfo.getCreationDate()`

### setIdentifierSize

public void setIdentifierSize(int identifierSize)
Sets the identifier size for the snapshot.

Parameters:
  `identifierSize` - the size in bits
See Also:
  - `SnapshotInfo.getIdentifierSize()`

### setJvmInfo

public void setJvmInfo(String jvmInfo)
Sets information about the JVM.

Parameters:
  `jvmInfo` - a short description of the JVM
See Also:
  - `SnapshotInfo.getJvmInfo()`

### setNumberOfClasses

public void setNumberOfClasses(int numberOfClasses)
Sets the total number of classes.

Parameters:
  `numberOfClasses` - how many classes
See Also:
  - `SnapshotInfo.getNumberOfClasses()`

### setNumberOfClassLoaders

public void setNumberOfClassLoaders(int numberOfClassLoaders)
Sets the total number of class loaders.

Parameters:
  `numberOfClassLoaders` - how many class loaders
See Also:
  - `SnapshotInfo.getNumberOfClassLoaders()`

### setNumberOfGCRoots

public void setNumberOfGCRoots(int numberOfGCRoots)
Sets the number of GC roots.

Parameters:
  `numberOfGCRoots` - the number of GC roots
See Also:
  - `SnapshotInfo.getNumberOfGCRoots()`

### setNumberOfObjects

public void setNumberOfObjects(int numberOfObjects)
Sets the number of objects.

Parameters:
  `numberOfObjects` - the total number of objects
See Also:
  - `SnapshotInfo.getNumberOfObjects()`

### setUsedHeapSize

public void setUsedHeapSize(long usedHeapSize)
Sets the total used heap size.

Parameters:
  `usedHeapSize` - the total heap size in bytes
See Also:
  - `SnapshotInfo.getUsedHeapSize()`